Mail archive
alpine-aports

[alpine-aports] [PATCH 1/2] main/dhcpcd: use /usr/lib as libexec directory

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Thu, 10 Sep 2015 17:02:41 +0200

dhcpcd-dbus uses this directory too.
---
 main/dhcpcd/APKBUILD | 23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)
diff --git a/main/dhcpcd/APKBUILD b/main/dhcpcd/APKBUILD
index 53ef262..5336d88 100644
--- a/main/dhcpcd/APKBUILD
+++ b/main/dhcpcd/APKBUILD
_at_@ -1,15 +1,17 @@
-# Contributor: Michael Mason <ms13sp_at_gmail.com> 
+# Contributor: Michael Mason <ms13sp_at_gmail.com>
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=dhcpcd
 pkgver=6.9.0
-pkgrel=0
+pkgrel=1
 pkgdesc="RFC2131 compliant DHCP client"
 url="http://roy.marples.name/projects/dhcpcd/"
 arch="all"
 license="BSD-2"
-depends=
-makedepends="linux-headers"
-install=
+depends=""
+depends_dev="linux-headers dbus-dev"
+makedepends="$depends_dev"
+install=""
 subpackages="$pkgname-doc"
 source="http://roy.marples.name/downloads/dhcpcd/$pkgname-$pkgver.tar.bz2
 	busybox-logger.patch
_at_@ -30,16 +32,17 @@ build() {
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
-		--libexecdir=/lib/dhcpcd \
-		--dbdir=/var/lib/dhcpcd \
+		--libexecdir=/usr/lib/$pkgname \
+		--dbdir=/var/lib/$pkgname \
 		|| return 1
-	make
+	make || return 1
 }
 
 package() {
 	cd "$srcdir"/$pkgname-$pkgver
-	make DESTDIR="$pkgdir" install
-	install -Dm755 "$srcdir"/dhcpcd.initd "$pkgdir"/etc/init.d/dhcpcd
+	make DESTDIR="$pkgdir" install || return 1
+	install -Dm755 "$srcdir"/dhcpcd.initd \
+		"$pkgdir"/etc/init.d/dhcpcd || return 1
 }
 
 md5sums="374fcac1877078a2fc0ef8cd1617a869  dhcpcd-6.9.0.tar.bz2
-- 
2.5.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Sep 10 2015 - 17:02:41 GMT